Permalink
Browse files

Dont auto require rubygems, move dep on rack-test to Gemfile

  • Loading branch information...
dhh committed Dec 23, 2009
1 parent fe5f660 commit ec095456d859da4a09c7401585c211dc0f01fccd
Showing with 3 additions and 3 deletions.
  1. +1 −0 Gemfile
  2. +2 −3 railties/lib/rails/test_help.rb
View
@@ -14,6 +14,7 @@ gem "mysql", ">= 2.8.1"
# AP
gem "rack", "1.0.1", :git => "git://github.com/rails/rack.git"
+gem "rack-test", "0.5.3"
gem "RedCloth", ">= 4.2.2"
if ENV['CI']
@@ -2,9 +2,8 @@
# so fixtures are loaded to the right database
silence_warnings { RAILS_ENV = "test" }
-require 'rubygems'
-gem "rack", "~> 1.0.0"
-gem "rack-test", "~> 0.5.0"
+require 'rack'
+require 'rack/test'
require 'test/unit'
require 'active_support/core_ext/kernel/requires'

0 comments on commit ec09545

Please sign in to comment.